import * as $dara from '@darabonba/typescript';
import { DescribeIpv6EgressOnlyRulesResponseBody } from "./DescribeIpv6egressOnlyRulesResponseBody";
export declare class DescribeIpv6EgressOnlyRulesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeIpv6EgressOnlyRulesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
